@font-face {
  font-family: 'Bariol Thin';
  src: url('../fonts/Bariol-Thin.woff') format('woff');
}

@font-face {
  font-family: 'Bariol Regular';
  src: url('../fonts/Bariol-Regular.woff') format('woff');
}

@font-face {
  font-family: 'Material Icons';
  src: url('../fonts/MaterialIcons-Regular.woff') format('woff');
}


* {
  box-sizing: border-box;
}

body {
  background-color: black;
  font-family: Bariol Regular, sans-serif;
  color: white;
}




#imageStore {
  position: fixed;
  bottom: 0;
  left: 0;
  opacity: 0;
  height: 50vh;
  width: 30vw;
  background-color: pink;
  overflow-x: visible;
  z-index: 99999;
  pointer-events: none;
}

#imageStore div {
  position: relative;
  height: 25vh;
  width: 30vw;
}

#imageStore div:first-child {
  background-color: blue;
}

#imageStore div:last-child {
  background-color: yellow;
}

#imageStore img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}




#bg {
  z-index: 0;
  background-color: #333;
  background-size: cover;
  background-position: center;
  	transition: background-image 0.6s cubic-bezier(0, 0, .2, 1), transform 0.4s cubic-bezier(0, 0, .2, 1);
  
/*   transition: background-image 0.6s; */
}

.bgBlur {
  transform: scale(1.1)
}

#bgBlur {
  position: aboslute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  background-color: #333;
  background-size: cover;
  background-position: center;
  background-color: lightgreen;
  filter: blur(3vmin);
  opacity: 0;
  transition: opacity 0.4s cubic-bezier(0, 0, .2, 1);
}

.bgBlur #bgBlur {
  opacity: 1;
}




.screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  transition: opacity 0.4s cubic-bezier(0, 0, .2, 1);
  /*     background-color: blue; */
}

.screenHidden {
  opacity: 0;
  pointer-events: none;
}

#settings-screen, #info-screen {
  background-color: rgba(32, 32, 32, 0.7);
  z-index: 300;
}





.buttonHolder {
  position: fixed;
  z-index: 400;
  /*     background-color: rgba(100, 200, 255, 0.3); */
  
  font-size: 2.5em;
  height: 3em;
  width: 3em;
  user-select: none;
  transition: opacity 0.4s cubic-bezier(0, 0, .2, 1);
}

.buttonHidden {
  opacity: 0;
}

.button {
  position: fixed;
  top: inherit;
  left: inherit;
  right: inherit;
  bottom: inherit;
  margin: 1vmin;
  cursor: pointer;
  border-radius: 5em;
  overflow: hidden;
  /*   overflow: show; */
  text-align: center;
  color: rgba(255, 255, 255, 0.7);
  transition-duration: 2s;
  transition-timing-function:  cubic-bezier(0, 0, .2, 1);
  transition-property: background-color, box-shadow, color, text-shadow, opacity;
  opacity: 0.4;
  background-color: rgba(32, 32, 32, 0);
}

.buttonHolder:hover .button,
.buttonActive .button {
  transition-duration: 0.7s;
  box-shadow: inset 0 0.05em 0.1em 0 rgba(0, 0, 0, 0.7), 0 -0.05em 0.1em 0 rgba(0, 0, 0, 0.7), 0 0.05em 0.1em 0 rgba(255, 255, 255, 0.3);
  opacity: 1;
  background-color: rgba(32, 32, 32, 0.5);
}



.button,
.button tr,
.button td,
.button table {
  border-collapse: collapse;
}

.button td {
  vertical-align: middle;
  text-align: center;
  /*   background-color: yellow; */
  padding: 0.2em;
  transition: transform 0.7s cubic-bezier(0, 0, .2, 1);
  text-shadow: 0px 0.3vmin 0.5vmin rgba(0, 0, 0, 0.7), 0 0 1px rgba(0, 0, 0, 0.4);
  font-family: 'Material Icons';
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
  /*   overflow: show; */
}


.button-close {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.2s 0.1s ease-out;
  transform: rotate(-90deg);
  /*   background-color: rgba(0,200,100,0.9) */
}

.button span {
  opacity: 1;
  transition: opacity 0.2s 0.1s ease-out;
}


.buttonActive .button-td {
  transform: rotate(-270deg);
/*   pointer-events: none; */
}

.buttonActive table {
  opacity: 1;
}

.buttonActive span {
  opacity: 0;
}

#nextApod-button-holder {
  top: 0;
  right: 0;
}

#info-button-holder {
  top: 0;
  left: 0;
}

#settings-button-holder {
  bottom: 0;
  left: 0;
}







#clock {
  position: fixed;
  z-index: 950;
  bottom: 0;
  right: 0;
  padding: 5vmin 2vmin 2vmin 5vmin;
  color: color;
  text-shadow: 0px 0.3vmin 0.5vmin rgba(0, 0, 0, 0.7), 0 0 1px rgba(0, 0, 0, 0.6), 0 0 1px rgba(0, 0, 0, 0.6);
  font-weight: 800;
  letter-spacing: 0.1em;
  transition: opacity 0.5s cubic-bezier(0, 0, .2, 1);
  opacity: 0.5;
  user-select: none;
}

#clock:hover {
  opacity: 0.8;
}

#clockSecond {
  display: inline-block;
  text-align: left;
  width: 1.7em;
}




#percentArea {
  position: absolute;
  top: 30vh;
  width: 100%;
  /*     transform: translatey(-50%); */
  /*     background-color: pink; */
  text-align: center;
  user-select: none;
  overflow-x: visible;
  text-shadow: 0px 0.3vmin 0.5vmin rgba(0, 0, 0, 0.7), 0 0 1px rgba(0, 0, 0, 0.4);
}

.percentHidden {
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s, filter 0.4s, transform 0.4s;
  filter: blur(10vmin);
  transform: scale(1.4);
}

.percentShowing {
  opacity: 1;
  pointer-events: auto;
  transition: opacity 0.4s cubic-bezier(0, 0, .2, 1), filter 0.4s cubic-bezier(0, 0, .2, 1), transform 0.4s cubic-bezier(0, 0, .2, 1);
}

#percentSpan {
  /*     background-color: yellow; */
  font-size: 30vmin;
}

#timeLeftText {
  font-size: 3.5vw;
  padding: 0 10vw;
  display: inline-block;
  height: 1em;
  overflow-y: visible;
  text-shadow: 0px 0.3vmin 0.5vmin rgba(0, 0, 0, 0.7), 0 0 1px rgba(0, 0, 0, 0.4);
  /*     background-color: fuchsia; */
}

.textOut {
  transform: translatey(75%);
  opacity: 0;
  transition: transform 0.3s cubic-bezier(1, .2, 0, 0), opacity 0.2s  cubic-bezier(1, .2, 0, 0);
/*   transition: transform 0.3s ease-in, opacity 0.2s ease-in; */
}
 
.textUp {
  transform: translatey(-75%);
  opacity: 0;
  transition: transform 0s, opacity 0s;
}

.textIn {
  transform: translatey(0);
  opacity: 1;
  transition: transform 0.3s cubic-bezier(0, 0, .2, 1), opacity 0.2s cubic-bezier(0, 0, .2, 1);
/*   transition: transform 0.3s ease-out, opacity 0.2s ease-out; */
}